Browse the docs
Shield rules
Get a shield rule
Fetch one rule by id.
GET
/api/v1/shield-rules/%7Bid%7Dcurl -X GET "https://inboundr.net/api/v1/shield-rules/{id}" \
-H "Authorization: Bearer $INBOUNDR_API_KEY"idstringpathrequired
The rule id (gr_…).
Example response
{
"id": "gr_123",
"name": "Drop flagged spam",
"action": "block",
"priority": 1,
"enabled": true,
"scope": "account",
"domainId": null,
"addressId": null,
"conditions": [
{ "field": "spam_verdict", "operator": "equals", "value": "FAIL" }
],
"endpointIds": [],
"createdAt": "2026-07-20T10:00:00.000Z"
}